<template>
    <b-navbar toggleable="md" type="light" variant="light" id="navbar">

        <b-navbar-toggle target="nav_collapse"></b-navbar-toggle>


        <b-navbar-brand to="/" class="mx-3">
            <img src="./../assets/logo_dark3.png" class="d-inline-block" alt="Brand" style="max-height: 40px">
             <!--<span>{{title}}</span>-->
        </b-navbar-brand>

        <b-collapse is-nav id="nav_collapse">

            <!--Left aligned nav items-->
            <b-navbar-nav>

            </b-navbar-nav>

            <!-- Right aligned nav items -->
            <b-navbar-nav class="ml-auto">
                <b-nav-item to="/about">About</b-nav-item>
            </b-navbar-nav>

        </b-collapse>

    </b-navbar>
</template>

<script>
    export default {
        name: "Navbar",
        props: {
            title: {
                required: true,
                type: String
            }
        },
        methods: {
            signOut: () => {
                console.log("SignOut clicked")
            },
            signInn: () => {
                console.log("SignInn clicked")
            },
            activeUser: () => {
                return false
            }
        },
    }
</script>

<style scoped>

</style>
